maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brett Porter (JIRA)" <j...@codehaus.org>
Subject [jira] Closed: (MNG-3629) mvn install-file suggestion wrong?
Date Wed, 07 Apr 2010 06:19:26 GMT

     [ http://jira.codehaus.org/browse/MNG-3629?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Brett Porter closed MNG-3629.
-----------------------------

       Resolution: Won't Fix
    Fix Version/s:     (was: 2.2.x (to be reviewed))
         Assignee: Brett Porter

this isn't a bug - installing with packaging = swc would actually be wrong, since <packaging>
in a generated POM would be incorrect. The problem is more accurately stated that the install
plugin doesn't support build extensions. While perhaps Maven could warn about this when showing
the command, I think it is better to address this in the install plugin directly

> mvn install-file suggestion wrong?
> ----------------------------------
>
>                 Key: MNG-3629
>                 URL: http://jira.codehaus.org/browse/MNG-3629
>             Project: Maven 2 & 3
>          Issue Type: Bug
>    Affects Versions: 2.0.9
>            Reporter: Marvin Froeder
>            Assignee: Brett Porter
>
> Hi,
> On flex-mojos, I have one type where type != extension:
> 		<component>
> 			<role>org.apache.maven.artifact.handler.ArtifactHandler</role>
> 			<role-hint>resource-bundle</role-hint>
> 			<implementation>org.apache.maven.artifact.handler.DefaultArtifactHandler</implementation>
> 			<configuration>
> 				<type>resource-bundle</type>
> 				<extension>swc</extension>
> 			</configuration>
> 		</component>
> But, when this artifact is missing, maven show this:
> [INFO] Failed to resolve artifact.
> Missing:
> ----------
> 1) com.adobe.flex.sdk:framework:resource-bundle:asdas:3.0.0.477
>   Try downloading the file manually from the project website.
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=com.adobe.flex.sdk -DartifactId=framework -Dversion=3.0.0.477
-Dclassifier=asdas -Dpackaging=resource-bundle -Dfile=
> /path/to/file
>   Alternatively, if you host your own repository you can deploy the file there:
>       mvn deploy:deploy-file -DgroupId=com.adobe.flex.sdk -DartifactId=framework -Dversion=3.0.0.477
-Dclassifier=asdas -Dpackaging=resource-bundle -Dfile=/p
> ath/to/file -Durl=[url] -DrepositoryId=[id]
>   Path to dependency:
>         1) com.datasul.test:optimization:swf:1.0-SNAPSHOT
>         2) com.adobe.flex.sdk:framework:resource-bundle:asdas:3.0.0.477
> ----------
> 1 required artifact is missing.
> If I install following this, the artifact on repository will be wrong.
> I need to install like this:
> mvn install:install-file -DgroupId=com.adobe.flex.sdk -DartifactId=framework -Dversion=3.0.0.477
-Dclassifier=asdas -Dpackaging=swc -Dfile=/path/to/file
> The packaging suggested by maven is wrong.
> VELO

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message